<?php

declare(strict_types=1);

namespace App\Repositories;

use App\Models\Pouzivatel\Pouzivatel;
use Prettus\Repository\Contracts\RepositoryInterface;
use Spatie\Permission\Contracts\Role;

/**
 * Interface PouzivatelRepositoryContract
 */
interface PouzivatelRepositoryContract extends RepositoryInterface
{
    /**
     * @return void
     */
    public function saveNotificationToken(int $userId, string $token): Pouzivatel;

    /**
     * @return null|\App\Models\Pouzivatel\Pouzivatel[]
     */
    public function getByRole(Role $role);
}
